import React, {
	Component
} from 'react';
import {
	observer
} from 'mobx-react';
import {addContentPath} from '../../util/index.js'

@observer
export default class Chart extends Component {
	constructor(props) {
		super(props);
	}

	componentDidMount() {}

	componentWillReceiveProps(nextProps) {}

	render() {
		const {
			store
		} = this.props;
		const {
			setIframe
		} = store;
		return (
			<div className='frame'>
				<iframe id='orgChartFrame' src={addContentPath('/hrm/hrm_e9/orgChart/orgChart.html')} style={{border: 'none'}} width='100%' height='100%' ref={(dom) => setIframe(dom)}/>
			</div>
		)
	}
}